Answered

App settings not allowing me to add new speaker

  • 24 June 2019
  • 4 replies
  • 170 views

I have an older iPhone so can only download the 9.3.2 controller app, but now I have purchased a new Sonos Play 1 to stereo twin with my existing model & the App settings don't display the 'add a player or SUB'. They only show the following 5, 'app settings' 'date & time settings' 'about my sonos system' 'reset controller' & 'submit diagnostics'.
Is this because I'm on an older app & can no longer add new speakers unless I do it on a newer iPhone?
Thanks
icon

Best answer by Airgetlam 24 June 2019, 22:13

Here's the part I'm less certain of.

I *think* that you could borrow someone else's phone, install the Sonos controller on it, and update your Sonos as well as add the speaker, and still control only music playback on your old version.

I can't guaranty that, mind you. It may be time to invest in some new hardware. While Apple stuff is dear (and I know, I have plenty!), an android table is relatively cheap, and you could install the new software on that and use it as a controller.

Sorry I don't have better info for you.
View original

4 replies

This is very helpful, thank you. I was thinking the same with regards to installing the controller on another phone, seeing as my existing speaker still functions off my old controller.
Here's the part I'm less certain of.

I *think* that you could borrow someone else's phone, install the Sonos controller on it, and update your Sonos as well as add the speaker, and still control only music playback on your old version.

I can't guaranty that, mind you. It may be time to invest in some new hardware. While Apple stuff is dear (and I know, I have plenty!), an android table is relatively cheap, and you could install the new software on that and use it as a controller.

Sorry I don't have better info for you.
Thanks Bruce, was the answer I feared but makes sense.
Unfortunately, yes. In order to "add" a speaker to your system, the controller (and the Sonos system itself) needs to be on the current version of the software and firmware.

Reply